import { Component, OnInit } from '@angular/core';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.scss']
})
export class AppComponent implements OnInit {
  title = 'igx-chip-tabindex';
  tabIndexStateLabel = 'tabIndex を無効にする';
  chipList = [];

  ngOnInit() {
    this.chipList.push({ id: 1, text: '和食', tabIndex: 1 });
    this.chipList.push({ id: 2, text: '中華', tabIndex: 2 });
    this.chipList.push({ id: 3, text: 'イタリアン', tabIndex: 3 });
    this.chipList.push({ id: 4, text: 'お酒', tabIndex: 4 });
    this.chipList.push({ id: 4, text: '禁煙', tabIndex: 5 });
  }

  toggleTabIndex() {
    if (this.chipList[0].tabIndex === -1) {
      this.chipList.map(item => item.tabIndex = item.id);
      this.tabIndexStateLabel = 'tabIndex を無効にする';
    } else {
      this.chipList.map(item => item.tabIndex = -1);
      this.tabIndexStateLabel = 'tabIndex を有効にする';
    }
  }
}
